package com.example.zobrazkovac;

import android.app.Activity;
import android.app.ProgressDialog;
import android.os.Bundle;
import android.webkit.WebView;

import com.androidquery.AQuery;

public class SinglePhotoActivity extends Activity {
	public static final String PHOTO_URL = "photoUrl";

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		WebView webview = new WebView(this);
		setContentView(webview);

		// Pro změnu použijeme ProgressDialog
		ProgressDialog dialog = new ProgressDialog(this);
		dialog.setIndeterminate(true);
		dialog.setCancelable(true);
		dialog.setInverseBackgroundForced(false);
		dialog.setCanceledOnTouchOutside(false);
		dialog.setTitle("Loading...");

		// Ve webview zobrazí obrázek, jehož url získá z Intentu
		(new AQuery(webview)).progress(dialog).webImage(
				getIntent().getStringExtra(PHOTO_URL));
	}
}
